using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using System.ComponentModel;

namespace PhoneWord
{
    public class ViewModel:NotificationObject
    {
        public ViewModel()
		{
			ProductInfoRespository products = new ProductInfoRespository ();
			ProductDetails = products.GetProductDetails (100);
		}

		private List<ProductInfo> productDetails;

		/// <summary>
		/// Gets or sets the product details.
		/// </summary>
		/// <value>The product details.</value>
		public List<ProductInfo> ProductDetails {
			get { return productDetails; }
			set {
				productDetails = value;
				RaisePropertyChanged ("ProductDetails");
			}
		}
    }

    public class NotificationObject : INotifyPropertyChanged
    {
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}